aboutsummaryrefslogtreecommitdiffstats
path: root/tests/various/async.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/various/async.sh')
-rw-r--r--tests/various/async.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/various/async.sh b/tests/various/async.sh
new file mode 100644
index 000000000..423034eb8
--- /dev/null
+++ b/tests/various/async.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -ex
+../../yosys -q -o async_syn.v -p 'synth; rename uut syn' async.v
+iverilog -o async_sim -DTESTBENCH async.v async_syn.v
+vvp -N async_sim > async.out
+rm -f async_syn.v async_sim async.out async.vcd